Index: tmp/org.txm.lexicaltable.rcp/src/org/txm/lexicaltable/rcp/handlers/ComputeLexicalTable.java
===================================================================
--- tmp/org.txm.lexicaltable.rcp/src/org/txm/lexicaltable/rcp/handlers/ComputeLexicalTable.java	(revision 1974)
+++ tmp/org.txm.lexicaltable.rcp/src/org/txm/lexicaltable/rcp/handlers/ComputeLexicalTable.java	(revision 1975)
@@ -76,11 +76,13 @@
 		Object selection = this.getCorporaViewSelectedObject(event);
 		LexicalTable lexicalTable = null;
 		
-		// Creating from Index
+		// Creating from PartitionIndex
 		if (selection instanceof PartitionIndex) {
 			
 			IWorkbenchWindow window = TXMWindows.getActiveWindow();
-			List<PartitionIndex> vocabularies = ((IStructuredSelection) HandlerUtil.getCurrentSelection(event)).toList();
+			// FIXME: SJ: why using a list here? is the command should be launchable from more than one index?
+			// In not, clean and simplify the code
+			List<PartitionIndex> partitionIndexes = ((IStructuredSelection) HandlerUtil.getCurrentSelection(event)).toList();
 			
 			ArrayList<String> choices = new ArrayList<String>();
 			choices.add(LexicalTableUIMessages.useAllOccurrences);
@@ -93,9 +95,7 @@
 
 			int ret = dialog.open();
 			boolean useAllOccurrences = false;
-			//System.out.println("ret= "+ret);
 			if (ret == ListDialog.OK) {
-				//System.out.println("ok");
 				if(dialog.getResult().length == 0) {
 					return null;
 				}
@@ -103,40 +103,36 @@
 				if(sel.equals(LexicalTableUIMessages.useAllOccurrences)) {
 					useAllOccurrences = true;
 				}
-			} else {
-				//System.out.println("cancel");
+			}
+			else {
 				return false;
 			}
-
 			
-			//computeWithVocabularies(vocabularies, useAllOccurrences);
-
-			
-			if (vocabularies.size() == 0) {
+			if (partitionIndexes.size() == 0) {
 				return false;
 			}
 
-			vocabularies = vocabularies.subList(0, 1);
-			for (PartitionIndex voc : vocabularies) {
-				if (!voc.isComputedWithPartition()) {
-					System.out.println(LexicalTableUIMessages.canNotCreateALexicalTableWithAnIndexCreatedOnACorpus);
+			partitionIndexes = partitionIndexes.subList(0, 1);
+			for (PartitionIndex partitionIndex : partitionIndexes) {
+				if (!partitionIndex.isComputedWithPartition()) {
+					Log.warning(LexicalTableUIMessages.canNotCreateALexicalTableWithAnIndexCreatedOnACorpus);
 					StatusLine.setMessage(LexicalTableUIMessages.canNotCreateALexicalTableWithAnIndexCreatedOnACorpus);
 					return false;
 				}
 			}
 			
-			List<WordProperty> properties = vocabularies.get(0).getProperties();
-			for (PartitionIndex voc : vocabularies) {
-				if (!properties.equals(voc.getProperties())) {
+			List<WordProperty> properties = partitionIndexes.get(0).getProperties();
+			for (PartitionIndex partitionIndex : partitionIndexes) {
+				if (!properties.equals(partitionIndex.getProperties())) {
 					Log.warning(NLS.bind(LexicalTableUIMessages.vocabulariesMustShareTheSamePropertiesColonP0, properties));
 					return false;
 				}
 			}
 			
-			final PartitionIndex firstIndex = vocabularies.get(0);
+			final PartitionIndex firstIndex = partitionIndexes.get(0);
 			Partition firstPartition = firstIndex.getPartition();
-			for (PartitionIndex voc : vocabularies) {
-				if (!firstPartition.equals(voc.getPartition())) {
+			for (PartitionIndex partitionIndex : partitionIndexes) {
+				if (!firstPartition.equals(partitionIndex.getPartition())) {
 					Log.warning(NLS.bind(LexicalTableUIMessages.vocabulariesMustShareTheSamePartitionColonP0, firstPartition));
 					return false;
 				}
@@ -147,10 +143,15 @@
 			lexicalTable = new LexicalTable(firstIndex);
 			lexicalTable.setUseAllOccurrences(useAllOccurrences);
 			lexicalTable.setUnitProperty(property);
+			// transmit index fmin/fmax parameters
+			lexicalTable.setFMinFilter(firstIndex.getFilterFmin());
+			lexicalTable.setVMaxFilter(firstIndex.getFilterVmax());
+
 			
 			
 			
-			// FIXME: useless?
+			
+			// FIXME: SJ: became useless?
 			//return null;
 			//		} else if (s instanceof QueryIndex) {
 			//			List<QueryIndex> qindexes = selection.toList();
